weka.filters.unsupervised.attribute

## Class SortLabels.CaseInsensitiveComparator

- java.lang.Object
- - weka.filters.unsupervised.attribute.SortLabels.CaseInsensitiveComparator

- All Implemented Interfaces:
    java.io.Serializable, java.util.Comparator<java.lang.String>
  Enclosing class:
    SortLabels

      public static class SortLabels.CaseInsensitiveComparator
      extends java.lang.Object
      implements java.util.Comparator<java.lang.String>, java.io.Serializable

  Represents a case-insensitive comparator for two strings.
  Version:
    $Revision: 14534 $
  Author:
    fracpete (fracpete at waikato dot ac dot nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseInsensitiveComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(java.lang.String o1, java.lang.String o2)` compares the two strings, returns -1 if o1 is smaller than o2, 0 if equal and +1 if greater.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### CaseInsensitiveComparator

          public CaseInsensitiveComparator()

  - ### Method Detail

    - #### compare

          public int compare(java.lang.String o1,
                             java.lang.String o2)

      compares the two strings, returns -1 if o1 is smaller than o2, 0 if equal and +1 if greater.
      Specified by:
        `compare` in interface `java.util.Comparator<java.lang.String>`
      Parameters:
        `o1` - the first string to compare
        `o2` - the second string to compare
      Returns:
        returns -1 if o1 is smaller than o2, 0 if equal and +1 if greater